org.apache.jmeter.report.processor.graph

## Class SuccessfulElapsedTimeValueSelector

- java.lang.Object
- - org.apache.jmeter.report.processor.graph.ElapsedTimeValueSelector
  - - org.apache.jmeter.report.processor.graph.SuccessfulElapsedTimeValueSelector

All Implemented Interfaces:
  GraphValueSelector

    public class SuccessfulElapsedTimeValueSelector
    extends ElapsedTimeValueSelector

The class ElapsedTimeValueSelector provides a projection from a sample to its elapsed time only if sample is not an empty transaction Controller and sample is successful

Since:
  3.1

### Constructor Summary

Constructors
Constructor and Description
`SuccessfulElapsedTimeValueSelector()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected boolean` `isIgnoreTransactionController()`
`Double` `select(String series, Sample sample)` Do a projection from a sample to the value to aggregate for the specified series and key.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SuccessfulElapsedTimeValueSelector

    public SuccessfulElapsedTimeValueSelector()

### Method Detail

#### select

    public Double select(String series,
                         Sample sample)

Description copied from interface: `GraphValueSelector`
Do a projection from a sample to the value to aggregate for the specified series and key.

Specified by:
  `select` in interface `GraphValueSelector`
Overrides:
  `select` in class `ElapsedTimeValueSelector`
Parameters:
  `series` - the series where the value will be aggregated
  `sample` - the sample
Returns:
  the value to aggregate or null if value should be ignored
See Also:
  `GraphValueSelector.select(String, Sample)`

#### isIgnoreTransactionController

    protected boolean isIgnoreTransactionController()

Returns:
  the ignoreTransactionController